{% extends 'base/base.html' %}
{% load bootstrap4 i18n %}
{% block title %}
    {% trans "Items" %}
{% endblock %}
{% block body %}
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-1 offset-11">
                    <a class="btn btn-secondary btn-sm" href="{% url "item_create" %}">{% trans "Create" %}</a>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="row">
        {% for item in object_list %}
            <div class="col-3">
                <div class="card">
                    <div class="card-header {% if item.owner == request.user %}bg-secondary{% endif %}">
                        <a href="{% url "item_detail" pk=item.id %}">{{ item.name }}</a>
                    </div>
                    {% if item.image %}
                        <img class="card-img-top" src="{{ item.image.url }}">
                    {% endif %}
                    <div class="card-body">
                        <p>{% trans "Owner" %}:
                            {% if item.owner == request.user %}{% trans "Me" %}{% else %}{{ item.owner }}{% endif %}</p>
                        <p>{% trans "Type" %}: {{ item.get_type_display }}</p>
                        <p>{% trans "Description" %}: {{ item.description }}</p>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}
